:root {
  --blue1: rgb(222, 237, 247);
  --blue2: rgb(190, 228, 250);
  --blue3: rgb(119, 200, 247);
  --blue4: rgb(7, 162, 252);
  --grey: #979cb0;
  --b: black;
  --r: #da6276;
}

.wrapper {
  width: 90%;
  height: auto;
  display: flexbox;
  margin: 50px auto;
  font-family: "Segoe UI", Tahoma, Geneva, Verdana, sans-serif;
  box-shadow: 0 4px 10px rgba(0, 0, 0, 0.45), 0 5px 5px rgba(0, 0, 0, 0.1);
  background-image: url("https://img.freepik.com/free-vector/white-gray-hexagon-pattern-background_53876-115293.jpg?w=1060");
  background-size: cover;
}

.wrapper:hover {
  box-shadow: 0 14px 28px rgba(0, 0, 0, 0.35), 0 10px 10px rgba(0, 0, 0, 0.22);
}

.vertical {
  float: left;
  border-left: 8px solid var(--b);
  height: 100%;
  position: absolute;
  top: 0;
}
.vertical2 {
  float: left;
  border-left: 8px solid var(--b);
  height: 100%;
}

/* header na gorze imie nazwisko, zdjecie */

.photo {
  height: 200px;
  width: 200px;
  border-radius: 50%;
  /* background-image: url("/img/pic.jpg"); */
  background-size: 100% calc(100% + 40%);
  margin-left: 40px;
  margin-top: 10%;
  float: left;
  border: 2.5px solid black;
}

.head {
  height: 500px;
  width: 100%;
  color: black;
  position: relative;
  overflow: hidden;
  border: 1px solid black;
}

.head .head__title {
  position: relative;
  top: 10%;
  margin: 30px;
}
.head__title span {
  display: flex;
}
.head__top {
  float: left;
  margin-left: 20px;
  font-size: 45px;
  font-weight: 750;
  text-transform: uppercase;
  line-height: 1.5;
  letter-spacing: 2.5rem;
  transform: translateY(-2px);
  /* place-content: ; */
}
.head__bottom {
  float: left;
  margin-left: 80px;
  margin-top: 20px;
  font-size: 30px;
  font-weight: 600;
  letter-spacing: 1rem;
  opacity: 0.7;
  transform: translateY(-2px);
  text-align: justify;
  place-content: center;
  /* margin: 20px; */
  overflow: hidden;
}

.head__bottom_small {
  float: left;
  margin-left: 80px;
  margin-top: 20px;
  font-size: 15px;
  font-weight: 300;
  letter-spacing: 0.25rem;
  opacity: 0.5;
  transform: translateY(-2px);
  text-align: justify;
  place-content: center;
  /* margin: 20px; */
  overflow: hidden;
}

/* div zawierajacy strone lewa oraz prawa */

.text {
  font-family: "Segoe UI", Tahoma, Geneva, Verdana, sans-serif;
}

/* lewa strona zawiera kontakty, umiejetnosci, jezyki, linki */

.left {
  float: left;
  /* border: 1px solid var(--b); */
  width: 50%;
  height: 100%;
}

/* kontakty, umiejetnosci, jezyki, linki, */

.menu {
  margin-left: 20px;
  width: 95%;
  /* height: auto; */
  background: transparent;
  overflow: hidden;
  box-shadow: 0 4px 10px rgba(0, 0, 0, 0.45);
}

.submenu {
  background-color: var(--blue2);
}

.menu .btn {
  font-size: 22px;
  font-weight: 600;
  letter-spacing: 0.6em;
  display: flex;
  padding: 8px;
  align-items: center;
  justify-content: center;
  text-decoration: none;
  color: var(--b);
  /* list-style-type: circle; */
  height: auto;
}

.menu .submenu #letter {
  position: relative;
  justify-content: flex-start;
  padding: 10px 0px 30px 16px;
}

.menu .submenu {
  margin-right: 40px;
  background: transparent;
  overflow: hidden;
  max-height: 0;
  transition: max-height 0.8s ease-out;
  text-decoration: none;
  height: auto;
}

.menu .submenu a {
  justify-content: center;
  display: flex;
  padding: 10px 0px 30px 0px;
  position: relative;
  border-bottom: solid 5px var(--blue4);
  text-decoration: none;
  color: var(--b);
  max-height: 0;
}
#telefon:hover {
  background-color: var(--blue1);
  padding: 10px 0px 30px 0px;
}
.menu .submenu #tel:hover {
  display: flex;
  background-color: var(--blue3);
  padding: 10px 0px 30px 0px;
  position: relative;
  text-decoration: none;
  color: var(--b);
  font-weight: bolder;
  border: 1px solid var(--r);
}

#mail:hover {
  background-color: var(--blue3);
  font-weight: bold;
  border: 1px solid var(--r);
}

#letter:hover {
  background-color: var(--blue1);
  padding: 10px 0px 30px 0px;
}

.menu .submenu a::before {
  content: "";
  /* border-bottom: solid 1px #9c9c9c;
  border-top: solid 1px #919191; */
  display: block;
  position: absolute;
  top: 0;
  left: 0;
  height: 100%;
  width: 8px;
  background: var(--r);
  opacity: 0;
  transition: all 0.5s;
}

.menu .submenu a:hover {
  padding-left: calc(1.5rem + 5px);
}

.menu .submenu a:hover::before {
  opacity: 1;
}

.item:target .submenu {
  max-height: 50rem;
}

/* prawa strona z opisem doswiadczenia */

.right {
  margin-top: 10px;
  margin-left: 50%;
  margin-right: 20px;
  height: 100%;
  /* border: 1px solid black; */
}
.menu .submenu a {
  justify-content: center;
  display: flex;
  padding: 10px 0px 30px 0px;
  position: relative;
  border-bottom: solid 1px var(--grey);
  text-decoration: none;
  color: var(--b);
  max-height: 0;
}
.menu .submenu #it {
  justify-content: center;
  text-align: justify;
  display: flex;
  padding: 20px 10px 150px 20px;
  position: relative;
  border-top: 2px solid var(--b);
  border-bottom: 2px solid var(--b);
  text-decoration: none;
  color: var(--b);
  max-height: 0;
}
